std::seed_seq Class Reference
Numerics » Random Number Generation » Random Number Generators » Random Number Distributions » Uniform Distributions » Normal Distributions » Bernoulli Distributions » Poisson Distributions » Random Number Utilities

## Public Types

typedef uint_least32_t | result_type

## Public Member Functions

| seed_seq () noexcept
template<typename _InputIterator >
| seed_seq (_InputIterator __begin, _InputIterator __end)
| seed_seq (const seed_seq &)=delete
template<typename _IntType >
| seed_seq (std::initializer_list< _IntType > il)
template<typename _RandomAccessIterator >
void | generate (_RandomAccessIterator __begin, _RandomAccessIterator __end)
seed_seq & | operator= (const seed_seq &)=delete
template<typename _OutputIterator >
void | param (_OutputIterator __dest) const
size_t | size () const noexcept

## Detailed Description

The seed_seq class generates sequences of seeds for random number generators.

Definition at line 5959 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc